package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.menu.AddMenuReq;
import org.wcs.model.dto.serve.menu.UpdateMenuReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.dto.serve.menu.QueryMenuReq;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.menu.QueryMenuResp;

import java.util.List;

public interface IMenuService {
    AppServeDataResponse<List<QueryMenuResp>> queryMenu(QueryMenuReq queryMenuReq);
    AppServeResponse addMenu(AddMenuReq addMenuReq); // 添加菜单
    AppServeResponse deleteMenu(String menuId); // 删除菜单
    AppServeResponse updateMenu(UpdateMenuReq updateMenuReq); // 更新菜单
}
